%define ttfdir %_datadir/fonts/default/TrueType-japanese

Name: japanese-fonts-ttf
Version: 1.0
Release: alt3

Summary: Free Japanese TrueType fonts
Summary (ru_RU.UTF-8): Японские TrueType шрифты
License: Distributable
Group: System/Fonts/True type
Url: http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/
Source0: xtt-fonts_0.19990222-3.tar.bz2
Source1: kochi-mincho-0.2.20020727.tar.bz2
Source2: kochi-gothic-0.2.20020727.tar.bz2
Source3: fonts-ttf-japanese-fonts.dir.bz2
Source4: fonts-ttf-japanese-fonts.alias.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig

%description
This Package provides free Japanese TrueType fonts.
Original Kochi fonts include in ascii section non free glyphs,
they must be removed. Red Hat did it, packages taken from them.

%description -l ru_RU.UTF-8
В пакете находятся японские TrueType шрифты. Первоначально
шрифты Kochi включали несвободные начертания латинских символов
в ASCII части, которые были удалены фирмой RedHat.

%prep
%setup -q -c -a0 -a1 -a2

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 xtt-fonts-0.19990222/*.ttf $RPM_BUILD_ROOT%ttfdir
install -p -m644 kochi-gothic/fonts/*.ttf $RPM_BUILD_ROOT%ttfdir
install -p -m644 kochi-mincho/fonts/*.ttf $RPM_BUILD_ROOT%ttfdir

cd $RPM_BUILD_ROOT%ttfdir
# ttmkfdir doesn't work with those fonts
bzcat %SOURCE3 > $RPM_BUILD_ROOT%ttfdir/fonts.dir
bzcat %SOURCE4 | sed 's/^\(.*\):\([^:]*\)$/\2/' > $RPM_BUILD_ROOT%ttfdir/fonts.alias
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1
cd -
mkdir -p DOC/watanabe
cp xtt-fonts-0.19990222/*README* xtt-fonts-0.19990222/fonts.* \
   xtt-fonts-0.19990222/debian/{changelog,copyright} DOC/watanabe
mkdir -p DOC/kochi-gothic
cp kochi-gothic/AUTHORS kochi-gothic/README* kochi-gothic/THANKS DOC/kochi-gothic
mkdir -p DOC/kochi-mincho
cp kochi-mincho/AUTHORS kochi-mincho/README* kochi-mincho/THANKS DOC/kochi-mincho

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir
# CID-keyed font aliases for esp-ghostscript
# 2002-03-06 dxiaoming@mandrakesoft.com
# 2002-12-23 pablo@mandrakesoft.com -- added Kochi-*
if [ -x /usr/share/ghostscript/Resource/alias-aj14.sh ]; then
    cd /usr/share/ghostscript/Resource
    ./alias-aj14.sh install Ryumin-Light=watanabe-mincho.ttf
    ./alias-aj14.sh install GothicBBB-Medium=wadalab-gothic.ttf
    ./alias-aj14.sh install Kochi-Gothic=kochi-gothic.ttf
    ./alias-aj14.sh install Kochi-Mincho=kochi-mincho.ttf
fi

%postun
/usr/sbin/chkfontpath -q --remove %ttfdir
# CID-keyed font aliases for esp-ghostscript
# 2002-03-06 dxiaoming@mandrakesoft.com
# 2002-12-23 pablo@mandrakesoft.com -- added Kochi-*
if [ -x /usr/share/ghostscript/Resource/alias-aj14.sh ]; then
    cd /usr/share/ghostscript/Resource
    ./alias-aj14.sh uninstall Ryumin-Light
    ./alias-aj14.sh uninstall GothicBBB-Medium
    ./alias-aj14.sh uninstall Kochi-Gothic
    ./alias-aj14.sh uninstall Kochi-Mincho
fi

%files
%ttfdir
%doc DOC/*

%changelog
* Wed Sep 03 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt3
- CID support fixed

* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt2
- Changed dir
- Cleanups

* Wed May 07 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt1.1
- added CID support (japanese support for ghostscript )

* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
